Update Component Content
This endpoint updates content within a component defintion for **secondary locales**. It supports updating up to 1000 nodes in a single request.
Before making updates:
1. Use the [get component content](/data/reference/pages-and-components/components/get-content) endpoint to identify available content nodes and their types.
2. If your component definition has a component instance nested within it, retrieve the nested component instance's properties that you'll override using the [get component properties](/data/reference/pages-and-components/components/get-properties) endpoint.
3. DOM elements may include a `data-w-id` attribute. This attribute is used by Webflow to maintain custom attributes and links across locales. Always include the original `data-w-id` value in your update requests to ensure consistent behavior across all locales.
<Note>
This endpoint is specifically for localizing component definitions. Ensure that the specified `localeId` is a valid **secondary locale** for the site otherwise the request will fail.
</Note>
Required scope | `components:write`
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
site_id
Unique identifier for a Site
component_id
Unique identifier for a Component
Query parameters
localeId
Unique identifier for a specific Locale.
branchId
Scope the operation to work on a specific branch.
Request
The body for which to update the Component DOM nodes. Nodes can be of type text, select or text input, submit button, or component instances.
nodes
List of DOM Nodes with the new content that will be updated in each node.
Response
Request was successful
errors
A list of error messages, if any.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error